import { BaseRecord, HttpError, useTableProps as useTablePropsCore, useTableReturnType as useTableReturnTypeCore, useTableNoPaginationReturnType as useTableNoPaginationReturnTypeCore } from "@pankod/refine-core";
import { TableOptions, Table } from "@tanstack/react-table";
export declare type UseTableReturnType<TData extends BaseRecord = BaseRecord, TError extends HttpError = HttpError> = Table<TData> & {
    refineCore: useTableReturnTypeCore<TData, TError>;
};
export declare type UseTableNoPaginationReturnType<TData extends BaseRecord = BaseRecord, TError extends HttpError = HttpError> = Table<TData> & {
    refineCore: useTableNoPaginationReturnTypeCore<TData, TError>;
};
export declare type UseTableProps<TData extends BaseRecord = BaseRecord, TError extends HttpError = HttpError> = {
    /**
     * Configuration object for the core of the [useTable](/docs/api-reference/core/hooks/useTable/)
     * @type [`useTablePropsCore<TData, TError>`](/docs/api-reference/core/hooks/useTable/#properties)
     */
    refineCoreProps?: useTablePropsCore<TData, TError>;
} & Pick<TableOptions<TData>, "columns"> & Partial<Omit<TableOptions<TData>, "columns">>;
export declare function useTable<TData extends BaseRecord = BaseRecord, TError extends HttpError = HttpError>(props: UseTableProps<TData, TError> & {
    refineCoreProps?: useTablePropsCore<TData, TError> & {
        hasPagination?: true;
    };
}): UseTableReturnType<TData, TError>;
export declare function useTable<TData extends BaseRecord = BaseRecord, TError extends HttpError = HttpError>(props: UseTableProps<TData, TError> & {
    refineCoreProps?: useTablePropsCore<TData, TError> & {
        hasPagination: false;
    };
}): UseTableNoPaginationReturnType<TData>;
//# sourceMappingURL=index.d.ts.map